CRL (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CRL

    java.lang.Object
      |
      +--java.security.cert.CRL

Direct Known Subclasses:
  X509CRL

public abstract class CRL
extends Object

This class is an abstraction of certificate revocation lists (CRLs) that have different formats but important common uses. For example, all CRLs share the functionality of listing revoked certificates, and can be queried on whether or not they list a given certificate.

Specialized CRL types can be defined by subclassing off of this abstract class.

Since:
  1.2
See Also:
  `X509CRL`, `CertificateFactory`

Constructor Summary
`protected` | `CRL(String type)` Creates a CRL of the specified type.

Method Summary
`String` | `getType()` Returns the type of this CRL.
`abstract boolean` | `isRevoked(Certificate cert)` Checks whether the given certificate is on this CRL.
`abstract String` | `toString()` Returns a string representation of this CRL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRL

    protected CRL(String type)

  Creates a CRL of the specified type.

Parameters:
  `type` - the standard name of the CRL type. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard CRL types.

Method Detail

### getType

    public final String getType()

  Returns the type of this CRL.

  Returns:
    the type of this CRL.

### toString

    public abstract String toString()

  Returns a string representation of this CRL.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this CRL.

### isRevoked

    public abstract boolean isRevoked(Certificate cert)

  Checks whether the given certificate is on this CRL.

  Parameters:
    `cert` - the certificate to check for.
  Returns:
    true if the given certificate is on this CRL, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.